require 'pileup.rb'
require 'vcf.rb'

class Sample
	
	attr_reader :name, :pileup, :vcf

	def initialize(name, vcfFile, bamFile, bedFile, reference)
		@name=name
		@pileup = Pileup.new(bamFile, bedFile, reference)
		@vcf = Vcf.new(vcfFile)
	end
end

